.form {
    &__group:not(:last-child) {
        margin-bottom: 2rem;
    }
    &__input {
        font-size: $default-font-size;
        padding: 1.5rem 2rem;
        border-radius: $default-radius;
        background-color: rgba($color-white, .5);
        border: none;
        font-family: inherit;
        border-bottom: .3rem solid transparent;
        display: block;
        color: inherit;
        transition: all .3s;
        
        &:focus {
            outline: none;
            box-shadow: 0 $default-shadow 2rem rgba($color-black, .1);
            border-bottom: .3rem solid $primary-color;

            &:invalid {
                border-bottom: .3rem solid $secondary-color-dark;
            }
        }

        

        &::-webkit-input-placeholder {
            color: $color-grey-dark;
        }

        &-label {
            font-size: 1.2rem;
            font-weight: 500;
            margin-left: 2rem;
            display: block;
            transition: all .3s;
        }

    }

    &__input:placeholder-shown  + &__input-label {
        opacity: 0;
        visibility: hidden;
        transform: translateY(-4rem);

    }

    &__radio-group {
        width: 49%;
        display: inline-block;
    }

    &__radio-label {
        font-size: $default-font-size;
        cursor: pointer;
        position: relative;
        padding-left: 4.5rem;
    }

    &__radio-input {
        display: none;
    }

    &__radio-button {
        height: 2rem;
        width: 2rem;
        border: .5rem solid $primary-color;
        border-radius: 50%;
        display: inline-block;
        position: absolute;
        left: 0;
        top: -.4rem;
        &::after {
            content: "";
            height: 1.3rem;
            width: 1.3rem;
            display: block;
            border-radius: 50%;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: $primary-color;
            opacity: 0;
            transition: opacity .5s;

        }
    }

    &__radio-input:checked ~ &__radio-label &__radio-button::after {
        opacity: 1;
    }
}